

package PresentationLayers;

import java.awt.Graphics;
import javax.swing.ImageIcon;
import BusinessLogicLayers.HocSinhBLL;

public class FrmHocSinh extends javax.swing.JPanel {
    
    public HocSinhBLL hocsinh;
    
    public FrmHocSinh(HocSinhBLL hocsinh) {
        initComponents();
        this.hocsinh=hocsinh;
        
        hocsinh.setTable(tablehocsinh,pnlthanhnav);
        hocsinh.insertTable();
        hocsinh.setNav(lbthongbao);
        hocsinh.AddCombobox(cbbdantoc, cbbtongiao);
        hocsinh.setKhungTrai(txtmahs, txttenhs, txtngaysinh, txtnoisinh, cbbgioitinh, cbbdantoc, cbbtongiao,txthotencha,txthotenme);
        hocsinh.HienThiChiTiet();
    }
    
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jPanel3 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        tablehocsinh = new javax.swing.JTable();
        jPanel4 = new javax.swing.JPanel();
        pnlthanhnav = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){

                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/thanhnanv.png"));

                g.drawImage(icon.getImage(),0 , 0, 329, 27, null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        lbthongbao = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){

                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/bg2.png"));

                g.drawImage(icon.getImage(),0 , 0, jPanel2.getWidth(), this.getHeight(), null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        jPanel5 = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){

                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/bg3.png"));

                g.drawImage(icon.getImage(),0 , 0, jPanel2.getWidth(), 25, null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        pnlbottom = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){

                ImageIcon icon = new ImageIcon("src/PresentationLayers/Images/bg3.png");

                g.drawImage(icon.getImage(),0 , 0, jPanel2.getWidth(), 25, null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        lbsearch = new javax.swing.JLabel();
        lbchitiet = new javax.swing.JLabel();
        pnlthongtinhocsinnh = new javax.swing.JPanel(){
            public void paintComponent(Graphics g){

                ImageIcon icon=new ImageIcon(getClass().getResource("/PresentationLayers/Images/bg2.png"));

                g.drawImage(icon.getImage(),0 , 0, pnlthongtinhocsinnh.getWidth(), pnlthongtinhocsinnh.getHeight(), null);
                setOpaque(false);
                super.paintComponent(g);
            }
        };
        txtmahs = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        txttenhs = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        txtngaysinh = new javax.swing.JTextField();
        txtnoisinh = new javax.swing.JTextField();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        cbbgioitinh = new javax.swing.JComboBox();
        cbbdantoc = new javax.swing.JComboBox();
        cbbtongiao = new javax.swing.JComboBox();
        jLabel12 = new javax.swing.JLabel();
        lbluulai = new javax.swing.JLabel();
        lbchoosecalendar = new javax.swing.JLabel();
        lbthemdantoc = new javax.swing.JLabel();
        lbthemtongiao = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        txthotencha = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        txthotenme = new javax.swing.JTextField();

        setBackground(new java.awt.Color(255, 255, 255));

        jPanel1.setBackground(new java.awt.Color(204, 255, 255));

        jPanel3.setBackground(new java.awt.Color(204, 204, 255));
        jPanel3.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 1, 0, 0, new java.awt.Color(0, 0, 0)));

        tablehocsinh.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        tablehocsinh.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        tablehocsinh.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                tablehocsinhMouseClicked(evt);
            }
        });
        jScrollPane1.setViewportView(tablehocsinh);

        jPanel4.setBackground(new java.awt.Color(255, 255, 255));
        jPanel4.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 1, 0, new java.awt.Color(0, 0, 0)));

        javax.swing.GroupLayout pnlthanhnavLayout = new javax.swing.GroupLayout(pnlthanhnav);
        pnlthanhnav.setLayout(pnlthanhnavLayout);
        pnlthanhnavLayout.setHorizontalGroup(
            pnlthanhnavLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 329, Short.MAX_VALUE)
        );
        pnlthanhnavLayout.setVerticalGroup(
            pnlthanhnavLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 28, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(pnlthanhnav, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(29, 29, 29)
                .addComponent(lbthongbao)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(pnlthanhnav, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(lbthongbao, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addGap(0, 0, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout jPanel3Layout = new javax.swing.GroupLayout(jPanel3);
        jPanel3.setLayout(jPanel3Layout);
        jPanel3Layout.setHorizontalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel4, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 722, Short.MAX_VALUE)
        );
        jPanel3Layout.setVerticalGroup(
            jPanel3Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel3Layout.createSequentialGroup()
                .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1))
        );

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel3, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        jPanel2.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 0, 1, new java.awt.Color(51, 51, 255)));
        jPanel2.setAutoscrolls(true);

        jPanel5.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 1, 0, new java.awt.Color(102, 102, 255)));

        jLabel3.setText("Thông Tin Học Sinh");

        jLabel4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/thunho.png"))); // NOI18N
        jLabel4.setToolTipText("Thu Nhỏ Lại");
        jLabel4.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        jLabel4.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jLabel4MouseClicked(evt);
            }
        });

        javax.swing.GroupLayout jPanel5Layout = new javax.swing.GroupLayout(jPanel5);
        jPanel5.setLayout(jPanel5Layout);
        jPanel5Layout.setHorizontalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel5Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel4)
                .addContainerGap())
        );
        jPanel5Layout.setVerticalGroup(
            jPanel5Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jLabel3, javax.swing.GroupLayout.DEFAULT_SIZE, 25, Short.MAX_VALUE)
            .addComponent(jLabel4, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );

        pnlbottom.setBorder(javax.swing.BorderFactory.createMatteBorder(1, 0, 0, 0, new java.awt.Color(102, 102, 255)));

        lbsearch.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/xemdiem.png"))); // NOI18N
        lbsearch.setText("Tìm Kiếm");
        lbsearch.setToolTipText("Tìm Kiếm Học Sinh");
        lbsearch.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        lbsearch.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                lbsearchMouseClicked(evt);
            }
        });

        lbchitiet.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/thongtinhocsinh.png"))); // NOI18N
        lbchitiet.setText("Chi Tiết ");
        lbchitiet.setToolTipText("Chi Tiết Học Sinh");
        lbchitiet.setBorder(javax.swing.BorderFactory.createMatteBorder(0, 0, 0, 1, new java.awt.Color(102, 153, 255)));
        lbchitiet.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        lbchitiet.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                lbchitietMouseClicked(evt);
            }
        });

        javax.swing.GroupLayout pnlbottomLayout = new javax.swing.GroupLayout(pnlbottom);
        pnlbottom.setLayout(pnlbottomLayout);
        pnlbottomLayout.setHorizontalGroup(
            pnlbottomLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, pnlbottomLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(lbchitiet, javax.swing.GroupLayout.PREFERRED_SIZE, 82, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(lbsearch, javax.swing.GroupLayout.PREFERRED_SIZE, 81, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
        pnlbottomLayout.setVerticalGroup(
            pnlbottomLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlbottomLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                .addComponent(lbsearch, javax.swing.GroupLayout.PREFERRED_SIZE, 24, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addComponent(lbchitiet, javax.swing.GroupLayout.PREFERRED_SIZE, 24, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        pnlthongtinhocsinnh.setAutoscrolls(true);

        jLabel1.setText("Mã Học Sinh: ");

        jLabel2.setText("Tên Học Sinh:");

        jLabel5.setText("Ngày Sinh");

        txtngaysinh.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                txtngaysinhMouseClicked(evt);
            }
        });

        jLabel6.setText("Nơi Sinh: ");

        jLabel7.setText("Giới Tính:");

        jLabel8.setText("Dân Tộc:");

        jLabel9.setText("Tôn Giáo:");

        cbbgioitinh.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Nam", "Nữ" }));

        lbluulai.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/luuvaodanhsach.png"))); // NOI18N
        lbluulai.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        lbluulai.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                lbluulaiMouseClicked(evt);
            }
        });

        lbchoosecalendar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/calendar.jpg"))); // NOI18N
        lbchoosecalendar.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                lbchoosecalendarMouseClicked(evt);
            }
        });

        lbthemdantoc.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/add.png"))); // NOI18N
        lbthemdantoc.setToolTipText("Thêm Dân Tộc");
        lbthemdantoc.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        lbthemdantoc.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                lbthemdantocMouseClicked(evt);
            }
        });

        lbthemtongiao.setIcon(new javax.swing.ImageIcon(getClass().getResource("/PresentationLayers/Images/add.png"))); // NOI18N
        lbthemtongiao.setToolTipText("Thêm Tôn Giáo");
        lbthemtongiao.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        lbthemtongiao.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                lbthemtongiaoMouseClicked(evt);
            }
        });

        jLabel10.setText("Họ Tên Cha:");

        jLabel11.setText("Họ Tên Mẹ:");

        javax.swing.GroupLayout pnlthongtinhocsinnhLayout = new javax.swing.GroupLayout(pnlthongtinhocsinnh);
        pnlthongtinhocsinnh.setLayout(pnlthongtinhocsinnhLayout);
        pnlthongtinhocsinnhLayout.setHorizontalGroup(
            pnlthongtinhocsinnhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlthongtinhocsinnhLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(pnlthongtinhocsinnhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txthotencha)
                    .addComponent(cbbgioitinh, 0, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(txtmahs)
                    .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(txttenhs)
                    .addComponent(jLabel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jLabel5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(txtnoisinh)
                    .addComponent(jLabel7, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jLabel8, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(pnlthongtinhocsinnhLayout.createSequentialGroup()
                        .addGroup(pnlthongtinhocsinnhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel11)
                            .addComponent(lbluulai))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jLabel12, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addComponent(jLabel6, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addGroup(pnlthongtinhocsinnhLayout.createSequentialGroup()
                        .addComponent(cbbdantoc, javax.swing.GroupLayout.PREFERRED_SIZE, 144, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(lbthemdantoc))
                    .addGroup(pnlthongtinhocsinnhLayout.createSequentialGroup()
                        .addGroup(pnlthongtinhocsinnhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(pnlthongtinhocsinnhLayout.createSequentialGroup()
                                .addComponent(cbbtongiao, javax.swing.GroupLayout.PREFERRED_SIZE, 143, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(lbthemtongiao))
                            .addGroup(pnlthongtinhocsinnhLayout.createSequentialGroup()
                                .addComponent(txtngaysinh, javax.swing.GroupLayout.PREFERRED_SIZE, 149, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(lbchoosecalendar))
                            .addComponent(jLabel9, javax.swing.GroupLayout.PREFERRED_SIZE, 74, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel10))
                        .addGap(0, 0, Short.MAX_VALUE))
                    .addComponent(txthotenme))
                .addContainerGap())
        );
        pnlthongtinhocsinnhLayout.setVerticalGroup(
            pnlthongtinhocsinnhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(pnlthongtinhocsinnhLayout.createSequentialGroup()
                .addGap(5, 5, 5)
                .addComponent(jLabel1)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(txtmahs, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(4, 4, 4)
                .addComponent(jLabel2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(txttenhs, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel5)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(pnlthongtinhocsinnhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(txtngaysinh)
                    .addComponent(lbchoosecalendar, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel6)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(txtnoisinh, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel7)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(cbbgioitinh, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel8)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(pnlthongtinhocsinnhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(lbthemdantoc, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(cbbdantoc))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel9)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(pnlthongtinhocsinnhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(lbthemtongiao, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(cbbtongiao))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel10)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(txthotencha, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(3, 3, 3)
                .addComponent(jLabel11)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(txthotenme, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGroup(pnlthongtinhocsinnhLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(pnlthongtinhocsinnhLayout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jLabel12)
                        .addContainerGap())
                    .addGroup(pnlthongtinhocsinnhLayout.createSequentialGroup()
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(lbluulai)
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
        );

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel5, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(pnlbottom, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(pnlthongtinhocsinnh, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addComponent(jPanel5, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(pnlthongtinhocsinnh, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(pnlbottom, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents
    // <editor-fold defaultstate="collapsed" desc="Event Form">     
    private void tablehocsinhMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tablehocsinhMouseClicked
        hocsinh.setCurrentRow();
        hocsinh.HienThiChiTiet();
    }//GEN-LAST:event_tablehocsinhMouseClicked
    private boolean flag=true;  
    private void jLabel4MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jLabel4MouseClicked
        if(flag)
            khungtrai(false, 50, 50, "Mở Rộng", "/PresentationLayers/Images/moto.png");
        else
            khungtrai(true, 180, jPanel2.getWidth(), "Thu Nhỏ", "/PresentationLayers/Images/thunho.png");
    }//GEN-LAST:event_jLabel4MouseClicked
    
    
    private void lbsearchMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbsearchMouseClicked
        jLabel3.setText("Tìm Kiếm Học Sinh");
        hidden(false,"Nhập Thông Tin Tìm Kiếm:","Tìm Kiếm Theo:");
        hocsinh.frmsearch(pnlthongtinhocsinnh, txttenhs, jLabel5);
    }//GEN-LAST:event_lbsearchMouseClicked

    private void lbchitietMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbchitietMouseClicked
        if(!hocsinh.getTaoChua()) 
        {
            hocsinh.insertTable();
            jLabel3.setText("Thông Tin Học Sinh");
            hidden(true,"Mã Học Sinh:","Tên Học Sinh:");
            hocsinh.frmchitiet(txtmahs);
        }
    }//GEN-LAST:event_lbchitietMouseClicked

    private void lbthemdantocMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbthemdantocMouseClicked
        hocsinh.showformdantoc();
    }//GEN-LAST:event_lbthemdantocMouseClicked

    private void lbthemtongiaoMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbthemtongiaoMouseClicked
        hocsinh.showformtongiao();
    }//GEN-LAST:event_lbthemtongiaoMouseClicked

    private void lbchoosecalendarMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbchoosecalendarMouseClicked
        hocsinh.showCalendar(txtngaysinh);
    }//GEN-LAST:event_lbchoosecalendarMouseClicked

    private void txtngaysinhMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_txtngaysinhMouseClicked
        hocsinh.showCalendar(txtngaysinh);
    }//GEN-LAST:event_txtngaysinhMouseClicked

    private void lbluulaiMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lbluulaiMouseClicked
        hocsinh.LuuVaoDanhSach();
    }//GEN-LAST:event_lbluulaiMouseClicked

    private void khungtrai(boolean bl,int width1,int width2,String tooltip,String path)
    {
        jLabel3.setVisible(bl);
        jLabel4.setIcon(new ImageIcon(getClass().getResource(path)));
        jPanel2.setSize(width1,jPanel2.getHeight());
        jPanel5.setSize(width2,jPanel5.getHeight());
        jLabel4.setToolTipText(tooltip);
        pnlbottom.setVisible(bl);
        pnlthongtinhocsinnh.setVisible(bl);
        flag=bl;
    }
    private void hidden(boolean bl,String noidung,String timtheo)
    {
        jLabel1.setText(noidung);
        jLabel2.setText(timtheo);
        txttenhs.setVisible(bl);
        jLabel5.setVisible(bl);
        txtmahs.setText("");
        txtngaysinh.setVisible(bl);
        txtnoisinh.setVisible(bl);
        cbbgioitinh.setVisible(bl);
        cbbtongiao.setVisible(bl);
        cbbdantoc.setVisible(bl);
        jLabel6.setVisible(bl);
        jLabel7.setVisible(bl);
        jLabel8.setVisible(bl);
        jLabel9.setVisible(bl);
        lbluulai.setVisible(bl);
        lbchoosecalendar.setVisible(bl);
        lbthemdantoc.setVisible(bl);
        lbthemtongiao.setVisible(bl);
        jLabel10.setVisible(bl);
        jLabel11.setVisible(bl);
        txthotencha.setVisible(bl);
        txthotenme.setVisible(bl);
    }
    // </editor-fold> 

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JComboBox cbbdantoc;
    private javax.swing.JComboBox cbbgioitinh;
    private javax.swing.JComboBox cbbtongiao;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JPanel jPanel5;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JLabel lbchitiet;
    private javax.swing.JLabel lbchoosecalendar;
    private javax.swing.JLabel lbluulai;
    private javax.swing.JLabel lbsearch;
    private javax.swing.JLabel lbthemdantoc;
    private javax.swing.JLabel lbthemtongiao;
    private javax.swing.JLabel lbthongbao;
    private javax.swing.JPanel pnlbottom;
    private javax.swing.JPanel pnlthanhnav;
    private javax.swing.JPanel pnlthongtinhocsinnh;
    private javax.swing.JTable tablehocsinh;
    private javax.swing.JTextField txthotencha;
    private javax.swing.JTextField txthotenme;
    private javax.swing.JTextField txtmahs;
    private javax.swing.JTextField txtngaysinh;
    private javax.swing.JTextField txtnoisinh;
    private javax.swing.JTextField txttenhs;
    // End of variables declaration//GEN-END:variables
}